PackageDoc (Doclet API)

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface PackageDoc

All Superinterfaces:
  Comparable, Doc

public interface PackageDoc
extends Doc

Represents a java package. Provides access to information about the package, the package's comment and tags, and the classes in the package.

Since:
  JDK1.2

Method Summary
`ClassDoc[]` | `allClasses()` Get all included classes (including Exceptions and Errors) and interfaces.
`ClassDoc[]` | `allClasses(boolean filter)` Get all classes (including Exceptions and Errors) and interfaces.
`ClassDoc[]` | `errors()` Get Error classes in this package.
`ClassDoc[]` | `exceptions()` Get Exception classes in this package.
`ClassDoc` | `findClass(String className)` Lookup for a class within this package.
`ClassDoc[]` | `interfaces()` Get Interfaces in this package.
`ClassDoc[]` | `ordinaryClasses()` Get ordinary classes (excluding Exceptions and Errors) in this package.

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isClass, isConstructor, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

Method Detail

### allClasses

    public ClassDoc[] allClasses(boolean filter)

  Get all classes (including Exceptions and Errors) and interfaces.

  Returns:
    all classes and interfaces in this package, filtered to include only the included classes if filter==true.
  Since:
    J2SE1.4.

### allClasses

    public ClassDoc[] allClasses()

  Get all included classes (including Exceptions and Errors) and interfaces. Same as allClasses(true).

  Returns:
    all included classes and interfaces in this package.

### ordinaryClasses

    public ClassDoc[] ordinaryClasses()

  Get ordinary classes (excluding Exceptions and Errors) in this package.

  Returns:
    included classes in this package.

### exceptions

    public ClassDoc[] exceptions()

  Get Exception classes in this package.

  Returns:
    included Exceptions in this package.

### errors

    public ClassDoc[] errors()

  Get Error classes in this package.

  Returns:
    included Errors in this package.

### interfaces

    public ClassDoc[] interfaces()

  Get Interfaces in this package.

  Returns:
    included Interfaces in this package.

### findClass

    public ClassDoc findClass(String className)

  Lookup for a class within this package.

  Returns:
    ClassDoc of found class, or null if not found.

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.